import React from 'react';
import App from './App';
import { HashRouter, Route, Switch, BrowserRouter, Redirect } from 'react-router-dom';
import TableData from "./TableData";
import ChartsCount from "./ChartsCount";
import { Link } from 'react-router-dom';
import { Button, Layout, Menu, Tabs, Result } from 'antd';

const { TabPane } = Tabs;


const MainRouter = () => {  

    return (
        <BrowserRouter>
            <Switch>
                <Route exact path="/" component={
                    App 
                } />
              

                <Route exact path="/*" render={ () => {
                    return <Result
                    status="404"
                    title="404"
                    subTitle="Sorry, the page you visited does not exist."
                    extra={<Button type="primary" href="/">Back Home</Button>}
                  />
                }} />
               
            </Switch>
        </BrowserRouter>
         )
    
};


export default MainRouter;